This MediaTek software package contains software with the following notices and under the following licenses:

==============================================================================================================

Copyright (c) 2014, ARM Limited and Contributors. All rights reserved.
Copyright (c) 2018, ARM Limited and Contributors
Copyright (c) 2016, ARM Limited and Contributors. All rights reserved.
Copyright (c) 2013-2017, ARM Limited and Contributors. All rights reserved.
Copyright (c) 2013-2014, ARM Limited and Contributors. 
Copyright (c) 2013-2014, ARM Limited and Contributors.
Copyright (c) 2014-2015, ARM Limited and Contributors.
Copyright (c) 2013-2014, ARM Limited and Contributors. All rights reserved.
Copyright 2015 The Android Open Source Project
Copyright (c) 2000 Jeroen Ruigrok van der Werven <asmodai@FreeBSD.org>
All rights reserved.
Copyright (c) 2015 TRUSTONIC LIMITED
Copyright (c) 2013-2014 Google Inc. All rights reserved
Copyright (c) 2001 David E. O'Brien
Copyright (c) 2014 TRUSTONIC LIMITED
Copyright (c) 2016-2017, ARM Limited and Contributors. All rights reserved.
Copyright (c) 2015-2018 TrustKernel Incorporated
Copyright (C) 2014 The Android Open Source Project
Copyright (c) 2017, ARM Limited and Contributors. All rights reserved.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following
disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the <ORGANIZATION> nor the names of its contributors may be used to endorse or promote
products derived from this software without specific prior written permission.


THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.





Copyright (c) 2014, ARM Limited and Contributors. All rights reserved.
Copyright (c) 2016, ARM Limited and Contributors. All rights reserved.

The MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



